PUT /api/v3/place/{placeId}/size

API endpoint which takes care of Create, Edit and Delete of new place sizes in bulk

EditPlaceSizeListV3 Permissions: BuildingsAndOrganizations (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
placeId The identifier of the place integer (int32) Required

Request Body

Array of:

PlaceSizeCreate
Property Description Type
beginDate The begin date for the place size Required Required string (date-time)
unitCode

The place size's unit code

Options are SQFEET for Square Feet and SQMETER for Square Meters

One of 'SQFEET', 'SQMETER', 'HECTARE', 'SQKILOMETER', 'SQMILE', 'SQYARD', 'ACRE' Case sensitive Must be between 0 and 16 characters One of 'SQFEET', 'SQMETER', 'HECTARE', 'SQKILOMETER', 'SQMILE', 'SQYARD', 'ACRE' Case sensitive Must be between 0 and 16 characters Required (defined)
string
value The place size value Required Must be between 0 and 2147483647 Required Must be between 0 and 2147483647 integer (int32)
Example Request Body application/json
[
  {    "beginDate": "2026-03-30",    "unitCode": "string",    "value": 1
  }
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

PlaceSizeChild
Property Description Type
beginDate The effective start date for this place size record string (date-time)
endDate The effective end date for this place size record string (date-time)
placeSizeId The identifier for this PlaceSize record integer (int32)
unitCode The code for the unit this place size is measured in Must be between 0 and 16 characters Must be between 0 and 16 characters string
unitId The identifier for the unit this place size is measured in integer (int32)
unitInfo The name of the unit this place size is measured in Must be between 0 and 32 characters Must be between 0 and 32 characters string
value The value of the current place size record number (double)
Example Response application/json
[
  {    "beginDate": "2026-03-30",    "endDate": "2026-03-30",    "placeSizeId": 1,    "unitCode": "string",    "unitId": 1,    "unitInfo": "string",    "value": 1.0
  }
]